| Bsoft 2.0.5 Bernard's software package

Functions
bshow_boxes.tcl File Reference

Procedures to create, move and destroy particle boxes. More...

Go to the source code of this file.

## Functions
| Particles
| Dialog box to manipulate particle boxes on the main canvas. More...
| setBoxSize
| Sets the 3 dimensions for a box from the entries. More...
| boxSelect x y
| Selects a box or bad area near a clicked location. More...
| boxCreateSelect x y t
| Creates or selects a box or bad area near a clicked location. More...
| boxDrawOldNew id
| boxMove x y
| Moves the selected box or bad area to the new coordinates. More...
| boxDraw id
| Draws a box or bad area. More...
| boxesDrawAll
| Redraws all boxes and bad circles. More...
| boxDelete x y
| Deletes the selected box or bad area. More...
| boxDeleteAll
| Deletes all boxes. More...
| boxDeleteCurrent
| Deletes all boxes in current image. More...
| boxDeleteUnselected
| Deletes all unselected boxes. More...
| boxRenumber
| Renumbers boxes. More...
| boxCenter
| Centers boxes. More...
| templatePicker
| Picks particles by cross-correlation with a template. More...
| setTemplateScale scale
| readTemplate
| saveTemplate
| updateBoxTemplate w
| Updates and shows the particle template. More...
| doTemplatePicker w
| Picks particles using cross-correlation. More...
| variancePicker
| Picks particles from a variance map. More...
| doVariancePicker w
| Picks particles using variance map. More...
| updatePartSel args
| updateBoxParam
| Updates box and bad area parameters. More...
| updateBoxCounts
| Updates box and bad area counts. More...
| updateBoxSelected
| Updates selected box and bad area counts. More...
| extractParticles
| Extracts particles from the current set of box coordinates. More...
| doExtractParticles w
| Extracts particles from the current set of box coordinates. More...
| alignParticles
| Aligns particles by projection matching to a reference. More...
| doAlignParticles w
| Executes marker tracking. More...
| refineParticles
| Refines particle orientations by central section matching to a reference. More...
| doRefineParticles w
| Executes particle orientation refinement. More...
| selectParticles
| Selects particles after an alignment run. More...
| showSelectedParticles
| Shows the current particle selection. More...
| doSelectParticles w
| Executes particle selection. More...
| particleReconstruct
| Reconstructs a single particle. More...
| doReconstruct w
| Executes tomogram reconstruction. More...

## Detailed Description

Procedures to create, move and destroy particle boxes.

Author
  Bernard Heymann

Date
  Created: 20010516
  Modified: 20191017

Definition in file bshow_boxes.tcl.

## Function Documentation

## ◆ alignParticles()

alignParticles

Aligns particles by projection matching to a reference.

Definition at line 986 of file bshow_boxes.tcl.

## ◆ boxCenter()

boxCenter

Centers boxes.

Definition at line 504 of file bshow_boxes.tcl.

## ◆ boxCreateSelect()

boxCreateSelect |  |  | x y t

Creates or selects a box or bad area near a clicked location.

Parameters

  x |
  y | Box position in canvas coordinates.
  t | Type: "part"/"bad"

Definition at line 258 of file bshow_boxes.tcl.

## ◆ boxDelete()

boxDelete |  |  | x y

Deletes the selected box or bad area.

Parameters

  x |
  y | Box or bad area position in canvas coordinates.

Definition at line 445 of file bshow_boxes.tcl.

## ◆ boxDeleteAll()

boxDeleteAll

Deletes all boxes.

Definition at line 464 of file bshow_boxes.tcl.

## ◆ boxDeleteCurrent()

boxDeleteCurrent

Deletes all boxes in current image.

Definition at line 476 of file bshow_boxes.tcl.

## ◆ boxDeleteUnselected()

boxDeleteUnselected

Deletes all unselected boxes.

Definition at line 485 of file bshow_boxes.tcl.

## ◆ boxDraw()

boxDraw |  |  | id

Draws a box or bad area.

Draws a box and circle with the current box size and number for a selected box, or draws a red circle with the current bad size for a selected bad area.

Parameters

  id | Box or bad area identifier.

Definition at line 325 of file bshow_boxes.tcl.

## ◆ boxDrawOldNew()

boxDrawOldNew |  |  | id

Definition at line 275 of file bshow_boxes.tcl.

## ◆ boxesDrawAll()

boxesDrawAll

Redraws all boxes and bad circles.

Definition at line 410 of file bshow_boxes.tcl.

## ◆ boxMove()

boxMove |  |  | x y

Moves the selected box or bad area to the new coordinates.

Parameters

  x |
  y | Box position in canvas coordinates.

Definition at line 296 of file bshow_boxes.tcl.

## ◆ boxRenumber()

boxRenumber

Renumbers boxes.

Definition at line 495 of file bshow_boxes.tcl.

## ◆ boxSelect()

boxSelect |  |  | x y

Selects a box or bad area near a clicked location.

Parameters

  x |
  y | Box position in canvas coordinates.

Definition at line 240 of file bshow_boxes.tcl.

## ◆ doAlignParticles()

doAlignParticles |  |  | w

Executes marker tracking.

Parameters

  w | dialog window.

Definition at line 1060 of file bshow_boxes.tcl.

## ◆ doExtractParticles()

doExtractParticles |  |  | w

Extracts particles from the current set of box coordinates.

Parameters

  w | Dialog window.

Definition at line 958 of file bshow_boxes.tcl.

## ◆ doReconstruct()

doReconstruct |  |  | w

Executes tomogram reconstruction.

Parameters

  w | dialog window.

Definition at line 1351 of file bshow_boxes.tcl.

## ◆ doRefineParticles()

doRefineParticles |  |  | w

Executes particle orientation refinement.

Parameters

  w | dialog window.

Definition at line 1164 of file bshow_boxes.tcl.

## ◆ doSelectParticles()

doSelectParticles |  |  | w

Executes particle selection.

Parameters

  w | dialog window.

Definition at line 1256 of file bshow_boxes.tcl.

## ◆ doTemplatePicker()

doTemplatePicker |  |  | w

Picks particles using cross-correlation.

Parameters

  w | the window.

Definition at line 686 of file bshow_boxes.tcl.

## ◆ doVariancePicker()

doVariancePicker |  |  | w

Picks particles using variance map.

Parameters

  w | the window.

Definition at line 748 of file bshow_boxes.tcl.

## ◆ extractParticles()

extractParticles

Extracts particles from the current set of box coordinates.

Definition at line 881 of file bshow_boxes.tcl.

## ◆ particleReconstruct()

particleReconstruct

Reconstructs a single particle.

Definition at line 1284 of file bshow_boxes.tcl.

## ◆ Particles()

Particles

Dialog box to manipulate particle boxes on the main canvas.

Definition at line 31 of file bshow_boxes.tcl.

## ◆ readTemplate()

readTemplate

Definition at line 621 of file bshow_boxes.tcl.

## ◆ refineParticles()

refineParticles

Refines particle orientations by central section matching to a reference.

Definition at line 1091 of file bshow_boxes.tcl.

## ◆ saveTemplate()

saveTemplate

Definition at line 641 of file bshow_boxes.tcl.

## ◆ selectParticles()

selectParticles

Selects particles after an alignment run.

Definition at line 1198 of file bshow_boxes.tcl.

## ◆ setBoxSize()

setBoxSize

Sets the 3 dimensions for a box from the entries.

Definition at line 208 of file bshow_boxes.tcl.

## ◆ setTemplateScale()

setTemplateScale |  |  | scale

Definition at line 601 of file bshow_boxes.tcl.

## ◆ showSelectedParticles()

showSelectedParticles

Shows the current particle selection.

Definition at line 1245 of file bshow_boxes.tcl.

## ◆ templatePicker()

templatePicker

Picks particles by cross-correlation with a template.

Definition at line 513 of file bshow_boxes.tcl.

## ◆ updateBoxCounts()

updateBoxCounts

Updates box and bad area counts.

Definition at line 827 of file bshow_boxes.tcl.

## ◆ updateBoxParam()

updateBoxParam

Updates box and bad area parameters.

Definition at line 780 of file bshow_boxes.tcl.

## ◆ updateBoxSelected()

updateBoxSelected

Updates selected box and bad area counts.

Definition at line 857 of file bshow_boxes.tcl.

## ◆ updateBoxTemplate()

updateBoxTemplate |  |  | w

Updates and shows the particle template.

Parameters

  w | the window.

Definition at line 659 of file bshow_boxes.tcl.

## ◆ updatePartSel()

updatePartSel |  |  | args

Definition at line 769 of file bshow_boxes.tcl.

## ◆ variancePicker()

variancePicker

Picks particles from a variance map.

Definition at line 710 of file bshow_boxes.tcl.